OhMyGPT
Usage

Retrieve generation lookup

GET
/v1/generation

Vercel-style lookup wrapper for a generation record. The query parameter and returned data refer to the same user-scoped request ID used by /v1/generations/{id}.

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

id*string

Request ID.

Response Body

Generation lookup envelope.

application/json
  1. response
data*
Example Request
curl -X GET 'https://api.ohmygpt.com/v1/generation?id=string'
Example Response
{  "data": {    "cost": {      "credits": 0,      "lines": [        {          "credits": 0,          "kind": "string",          "list_price_credits": 0,          "price_credits": 0,          "quantity": 0        }      ],      "list_credits": 0    },    "created_at": "2019-08-24T14:15:22Z",    "id": "string",    "model": {      "id": "string",      "provider": "string"    },    "object": "request_receipt",    "receipt": {      "available": true,      "warnings": [        {          "code": "string",          "field": "string",          "message": "string"        }      ]    },    "request": {      "error": "string",      "http_status": 0,      "input_api": "string",      "is_stream": true,      "key_hint": "string"    },    "request_id": "string",    "status": "succeeded",    "timing": {      "duration_ms": 0,      "first_token_ms": 0    },    "usage": {      "cache_creation_tokens": 0,      "cache_read_tokens": 0,      "input_tokens": 0,      "output_tokens": 0,      "reasoning_tokens": 0    },    "verirelay": {      "receipt_expires_at": "2019-08-24T14:15:22Z",      "relay": "http://example.com",      "request_id": "string",      "store_expires_at": "2019-08-24T14:15:22Z",      "store_id": "string",      "store_key": "string"    }  }}